Function
value
Returns a value given a key.
Reference find(map, key)
Include Headers
seqan/map.h
Parameters

map | A map. Types: Map
key | A key. Metafunctions: Key

Remarks
Note: Do not change the key of a value in the map.
Return Values
The first value in map of the given key, if there is any. Otherwise, a new value that is inserted to map.
Metafunctions: Reference
See Also
insert, find, mapValue, cargo
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48